Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQGb2312Codec Class Reference

The TQGb2312Codec class provides conversion to and from the Chinese GB2312 encoding. More...

`#include <ntqgb18030codec.h>`

Inherits TQGb18030Codec.

List of all member functions.

## Detailed Description

The TQGb2312Codec class provides conversion to and from the Chinese GB2312 encoding.

The GB2312 encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GB2312. For this reason the TQGb2312Codec class is implemented in terms of the GB18030 codec and uses its 0xA1A1-0xFEFE subset for conversion from and to Unicode.

The TQGb2312Codec is kept mainly for compatibility reasons with older software.

See also Internationalization with TQt.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.